<ion-header [translucent]="true">
    <ion-toolbar class="{{this.storageController.isDark()}}" >
        <ion-title>
            Intelligo - Cards
        </ion-title>
    </ion-toolbar>
</ion-header>

<ion-content class="{{this.storageController.isDark()}}">

    <ion-list class="{{this.storageController.isDark()}}">

        <ion-item-group *ngFor="let rootItem of getAllCardsFromLocalStorage()">

            <ion-item-divider class="{{this.storageController.isDark()}}">
                <ion-label>{{rootItem[0].wordForeign[0].toUpperCase()}}</ion-label>
            </ion-item-divider>

            <ion-item lines="none" *ngFor="let item of rootItem" class="{{this.storageController.isDark()}}" >
                <section>
                    <ion-button slot="end" color="danger" (click)="removeCard(item.id)">
                        <ion-icon name="trash-outline"></ion-icon>
                    </ion-button>
                    <ion-button slot="end" color="secondary" (click)="editModal(item.id)">
                        <ion-icon name="create-outline"></ion-icon>
                    </ion-button>
                </section>
                <div style="width: 20px;">
                </div>
                <ion-label>
                    {{item.wordForeign}}
                </ion-label>
                <ion-label>
                    {{item.wordLocal}}
                </ion-label>
            </ion-item>

        </ion-item-group>

    </ion-list>

<br><br>

</ion-content>



<ion-fab vertical="bottom" horizontal="end" slot="fixed" (click)="addModal()">
    <ion-fab-button class="{{this.storageController.isDark()}}">
        <ion-icon name="add"></ion-icon>
    </ion-fab-button>
</ion-fab>